require_relative "../lib/mapitpostcode"
require "rspec"
require "webmock/rspec"

describe "Fetching a postcode" do
   before(:each) do
     stub_request(:get, "http://mapit.mysociety.org/postcode/w36jd").to_return(:body => IO.read("spec/fixtures/resp.json"))
   end

   it "returns a hash" do
     response = MapitPostcode.get("W3 6JD")
     WebMock.should have_requested(:get, "http://mapit.mysociety.org/postcode/w36jd")
     expect(response["easting"]).to eq(520328)
   end
end

